package com.persagy.transfer.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;
import com.persagy.transfer.pojo.dto.RwdDefFuncidWd;
import com.persagy.transfer.service.IRwdDefFuncidWdService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 信息点定义表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-16 13:16:57
 */

@Api(tags = "信息点定义表")
@RestController
@RequestMapping(value = "/rwdDefFuncidWd", method = RequestMethod.POST)
public class RwdDefFuncidWdController {
	
    @Autowired
    private IRwdDefFuncidWdService rwdDefFuncidWdService;
    
    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryRwdDefFuncidWdList")
    public ResponseResult queryRwdDefFuncidWdList(@RequestBody RwdDefFuncidWd rwdDefFuncidWd) {
    	LambdaQueryWrapper<RwdDefFuncidWd> queryWrapper = new RwdDefFuncidWd.BuilderQueryWrapper().builder();
    	List<RwdDefFuncidWd> list = this.rwdDefFuncidWdService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseUtil.successResult(list, (long)list.size());
    }

    /**
     * 新增
     */
	@ApiOperation(value = "保存")
	@RequestMapping(value = "createRwdDefFuncidWd")
    public ResponseResult createRwdDefFuncidWd(@RequestBody RwdDefFuncidWd rwdDefFuncidWd) {
        boolean result = this.rwdDefFuncidWdService.save(rwdDefFuncidWd);
        return result ? ResponseUtil.successResult("保存成功") : ResponseUtil.errorResult("保存失败");
    }
    
    /**
     * 更新
     */
	@ApiOperation(value = "更新")
	@RequestMapping(value = "updateRwdDefFuncidWd")
    public ResponseResult updateRwdDefFuncidWd(@RequestBody RwdDefFuncidWd rwdDefFuncidWd) {
        boolean result = this.rwdDefFuncidWdService.updateById(rwdDefFuncidWd);
        return result ? ResponseUtil.successResult("更新成功") : ResponseUtil.errorResult("更新失败");
    }

    /**
     * 物理删除
     */
    @ApiOperation(value = "删除")
    @RequestMapping(value = "deleteRwdDefFuncidWd")
    public ResponseResult deleteRwdDefFuncidWd(@RequestBody RwdDefFuncidWd rwdDefFuncidWd) {
        boolean result = this.rwdDefFuncidWdService.removeById(rwdDefFuncidWd.getId());
        return result ? ResponseUtil.successResult("删除成功") : ResponseUtil.errorResult("删除失败");
    }
    
}
