package com.persagy.transfer.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;
import com.persagy.transfer.pojo.dto.WdclassRelPersagy;
import com.persagy.transfer.service.IWdclassRelPersagyService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 万达设备类型表与博锐尚格设备类型表的映射表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-16 11:19:53
 */

@Api(tags = "万达设备类型表与博锐尚格设备类型表的映射表")
@RestController
@RequestMapping(value = "/wdclassRelPersagy", method = RequestMethod.POST)
public class WdclassRelPersagyController {
    @Autowired
    private IWdclassRelPersagyService wdclassRelPersagyService;
    
    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryWdclassRelPersagyList")
    public ResponseResult queryWdclassRelPersagyList(@RequestBody WdclassRelPersagy wdclassRelPersagy) {
    	LambdaQueryWrapper<WdclassRelPersagy> queryWrapper = new WdclassRelPersagy.BuilderQueryWrapper().builder();
    	List<WdclassRelPersagy> list = this.wdclassRelPersagyService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseUtil.successResult(list, (long)list.size());
    }

    /**
     * 新增
     */
	@ApiOperation(value = "保存")
	@RequestMapping(value = "createWdclassRelPersagy")
    public ResponseResult createWdclassRelPersagy(@RequestBody WdclassRelPersagy wdclassRelPersagy) {
        boolean result = this.wdclassRelPersagyService.save(wdclassRelPersagy);
        return result ? ResponseUtil.successResult("保存成功") : ResponseUtil.errorResult("保存失败");
    }
    
    /**
     * 更新
     */
	@ApiOperation(value = "更新")
	@RequestMapping(value = "updateWdclassRelPersagy")
    public ResponseResult updateWdclassRelPersagy(@RequestBody WdclassRelPersagy wdclassRelPersagy) {
        boolean result = this.wdclassRelPersagyService.updateById(wdclassRelPersagy);
        return result ? ResponseUtil.successResult("更新成功") : ResponseUtil.errorResult("更新失败");
    }

    /**
     * 物理删除
     */
    @ApiOperation(value = "删除")
    @RequestMapping(value = "deleteWdclassRelPersagy")
    public ResponseResult deleteWdclassRelPersagy(@RequestBody WdclassRelPersagy wdclassRelPersagy) {
        boolean result = this.wdclassRelPersagyService.removeById(wdclassRelPersagy.getId());
        return result ? ResponseUtil.successResult("删除成功") : ResponseUtil.errorResult("删除失败");
    }
    
}
